Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.olafpanz.translationtable
Class I18NTask

    java.lang.Object
      Task
          de.olafpanz.translationtable.I18NTask

    public final class I18NTask

extends Task

Privde I18N code generator as ant task.

Author:
  Olaf Panz

Field Summary
`private TranslationTableParameters` | `params` Parameters to create translation tables.

Constructor Summary
`I18NTask()`

Method Summary
`void` | `execute()` Do execute the ant task.
`void` | `setEnvironment(java.lang.String envStr)` Set the environment (client/server).
`void` | `setJDK(java.lang.String jdkName)` Set jdk to create source code for,
`void` | `setODSFile(java.lang.String file)` Set the file that should be executed.
`void` | `setRcpPluginRoot(java.lang.String root)` Set root of rcp plugin.
`void` | `setSourceRoot(java.lang.String root)` Set root path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### params

    private final TranslationTableParameters params

  Parameters to create translation tables.

Constructor Detail

### I18NTask

    public I18NTask()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Do execute the ant task.

  Throws:
    `BuildException` - Is thrown in case of an error.

### setODSFile

    public void setODSFile(java.lang.String file)

  Set the file that should be executed.

  Parameters:
    `file` - The file to process.
  Since:
    1.0

### setJDK

    public void setJDK(java.lang.String jdkName)

  Set jdk to create source code for,

  Parameters:
    `jdkName` - Name of jdk. Use jdk 1.4, if string contains a 4

### setEnvironment

    public void setEnvironment(java.lang.String envStr)

  Set the environment (client/server).

  Parameters:
    `envStr` - Null is not allowed

### setRcpPluginRoot

    public void setRcpPluginRoot(java.lang.String root)

  Set root of rcp plugin.

  Parameters:
    `root` - Null is not allowed.

### setSourceRoot

    public void setSourceRoot(java.lang.String root)

  Set root path. That is the path where the source is created to.

  Parameters:
    `root` - Null is not allowed.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD